package com.yonge.toolset.base.page;


import java.io.Serializable;

/**
 * 查询对象基类
 */
public class QueryInfo implements Serializable {
	/**
	 * 默认当前页码
	 */
	private int page = 1;
	/**
	 * 默认页码大小
	 */
	private int rows = 20;
	/**
	 * 默认排序列
	 */
	private String sort;
	/**
	 * 默认排序方向
	 */
	private String order = "DESC";
	
	private String search;

	public String getSearch() {
		return search;
	}

	public void setSearch(String search) {
		this.search = search;
	}

	public QueryInfo(){}
	
	public QueryInfo(int page, int rows, String sort, String order) {
		super();
		this.page = page;
		this.rows = rows;
		this.sort = sort;
		this.order = order;
	}
	
	public QueryInfo(int page, int rows) {
		super();
		this.page = page;
		this.rows = rows;
	}

	public int getPage() {
		return page;
	}

	public void setPage(int page) {
		this.page = page;
	}

	public int getRows() {
		return rows;
	}

	public void setRows(int rows) {
		this.rows = rows;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

}
